Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar
Class ConcurExp

    java.lang.Object
      com.sun.msv.grammar.Expression
          com.sun.msv.grammar.BinaryExp
              com.sun.msv.grammar.ConcurExp

All Implemented Interfaces:
  java.io.Serializable

public final class ConcurExp
extends BinaryExp

<concur> pattern of TREX. None of the other language needs this expression. So application can deny processing this expression if neceesary, without hampering the multi-schema-ness.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.msv.grammar.BinaryExp
`exp1, exp2`

Fields inherited from class com.sun.msv.grammar.Expression
`anyString, epsilon, nullSet, verifierTag`

Method Summary
`java.lang.Object` | `visit(ExpressionVisitor visitor)`
`boolean` | `visit(ExpressionVisitorBoolean visitor)`
`Expression` | `visit(ExpressionVisitorExpression visitor)`
`void` | `visit(ExpressionVisitorVoid visitor)`

Methods inherited from class com.sun.msv.grammar.BinaryExp
`children, equals, getChildren`

Methods inherited from class com.sun.msv.grammar.Expression
`getExpandedExp, hashCode, isEpsilonReducible, peelOccurence, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### visit

    public java.lang.Object visit(ExpressionVisitor visitor)

  Specified by:
    `visit` in class `Expression`

### visit

    public Expression visit(ExpressionVisitorExpression visitor)

  Specified by:
    `visit` in class `Expression`

### visit

    public boolean visit(ExpressionVisitorBoolean visitor)

  Specified by:
    `visit` in class `Expression`

### visit

    public void visit(ExpressionVisitorVoid visitor)

  Specified by:
    `visit` in class `Expression`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD